# Uses of Enum
org.apache.avro.Resolver.Action.Type

Packages that use Resolver.Action.Type
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of Resolver.Action.Type in org.apache.avro

Fields in org.apache.avro declared as Resolver.Action.Type
Modifier and Type
Field
Description
`final Resolver.Action.Type`
Resolver.Action.`type`
Methods in org.apache.avro that return Resolver.Action.Type
Modifier and Type
Method
Description
`static Resolver.Action.Type`
Resolver.Action.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Resolver.Action.Type[]`
Resolver.Action.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.avro with parameters of type Resolver.Action.Type
Modifier
Constructor
Description
`protected`
`Action(Schema w, Schema r, GenericData data, Resolver.Action.Type t)`